Оплата постачальнику: методи API Bimp
Методи API Bimp для ресурсу «Оплата постачальнику» (/org2/paymentToSupplier/…): 5 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.
| Метод | Що робить |
|---|---|
POST /org2/paymentToSupplier/api-readList | A request to view a list of supplier payments |
POST /org2/paymentToSupplier/api-read | A request to obtain detailed information for a particular supplier payment document |
POST /org2/paymentToSupplier/api-create | A request to create a new supplier payment document |
POST /org2/paymentToSupplier/api-update | A request to update an existing supplier payment document |
POST /org2/paymentToSupplier/api-cancel | Cancel a supplier payment document |
api-readList
POST /org2/paymentToSupplier/api-readList
A request to view a list of supplier payments
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
pagination | object | так | |
pagination.offset | number | так | Begin from {offset} elements |
pagination.count | number | так | Limit of paginated elemets |
periodable | object[] | Period range [from, to] (UTC ISO strings) | |
organizations | string (uuid)[] | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for a supplier payment document |
[].number | string | The document’s number. Use this field if you need to specify a custom number |
[].currency | string (uuid) | null | |
[].date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].comment | string | An optional text field for any additional notes or comments related to the document |
[].name | string | |
[].counterparty | string (uuid) | null | |
[].author | string (uuid) | null | |
[].organization | string (uuid) | null | |
[].status | string (uuid) | null | |
[].documentSum | number | Total amount of the document |
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-readList' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-read
POST /org2/paymentToSupplier/api-read
A request to obtain detailed information for a particular supplier payment document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for the supplier payment document |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | A unique uuid key for a supplier payment document |
number | string | The document’s number. Use this field if you need to specify a custom number |
currency | string (uuid) | null | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
comment | string | An optional text field for any additional notes or comments related to the document |
name | string | |
counterparty | string (uuid) | null | |
author | string (uuid) | null | |
organization | string (uuid) | null | |
status | string (uuid) | null | |
documentSum | number | Total amount of the document |
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
responsible | string (uuid) | null | |
commission | number | The amount of the commission |
sum | number | The amount of the document |
remainder | number | Aggregate Balance |
exchangeRateDifference | number | Amount of Foreign Exchange Difference |
paymentDetails | object[] | |
paymentDetails[].contract | string (uuid) | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
paymentDetails[].invoiceForSupplierPayment | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
paymentDetails[].currency | string (uuid) | A unique uuid key for a currency |
paymentDetails[].calculationRate | number | Cross Course |
paymentDetails[].payed | number | Payment amount |
paymentDetails[].payedInContractCurrency | number | Settlement amount in contract currency |
paymentDetails[].debt | number | The current debt |
paymentDetails[].exchangeRateDifference | number | Amount of Foreign Exchange Difference |
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-read' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-create
POST /org2/paymentToSupplier/api-create
A request to create a new supplier payment document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
counterparty | string (uuid) | так | A unique uuid key for a supplier |
currency | string (uuid) | так | A unique uuid key for a currency |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | The document’s number. Use this field if you need to specify a custom number | |
comment | string | An optional text field for any additional notes or comments related to the document | |
responsible | string (uuid) | null | ||
author | string (uuid) | null | ||
organization | string (uuid) | null | ||
status | string (uuid) | null | ||
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request | |
commission | number | The amount of the commission | |
paymentDetails | object[] | ||
paymentDetails[].invoiceForSupplierPayment | string (uuid) | так | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
paymentDetails[].payed | number | так | Payment amount |
paymentDetails[].calculationRate | number | Cross Course |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | A unique uuid key for a supplier payment document |
number | string | The document’s number. Use this field if you need to specify a custom number |
currency | string (uuid) | null | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
comment | string | An optional text field for any additional notes or comments related to the document |
name | string | |
counterparty | string (uuid) | null | |
author | string (uuid) | null | |
organization | string (uuid) | null | |
status | string (uuid) | null | |
documentSum | number | Total amount of the document |
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
responsible | string (uuid) | null | |
commission | number | The amount of the commission |
sum | number | The amount of the document |
remainder | number | Aggregate Balance |
exchangeRateDifference | number | Amount of Foreign Exchange Difference |
paymentDetails | object[] | |
paymentDetails[].contract | string (uuid) | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
paymentDetails[].invoiceForSupplierPayment | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
paymentDetails[].currency | string (uuid) | A unique uuid key for a currency |
paymentDetails[].calculationRate | number | Cross Course |
paymentDetails[].payed | number | Payment amount |
paymentDetails[].payedInContractCurrency | number | Settlement amount in contract currency |
paymentDetails[].debt | number | The current debt |
paymentDetails[].exchangeRateDifference | number | Amount of Foreign Exchange Difference |
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-create' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"counterparty":"00000000-0000-0000-0000-000000000000","currency":"00000000-0000-0000-0000-000000000000"}'
api-update
POST /org2/paymentToSupplier/api-update
A request to update an existing supplier payment document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for a supplier payment document |
number | string | The document’s number. Use this field if you need to specify a custom number | |
comment | string | An optional text field for any additional notes or comments related to the document | |
responsible | string (uuid) | null | ||
author | string (uuid) | null | ||
status | string (uuid) | null | ||
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request | |
commission | number | The amount of the commission | |
currency | string (uuid) | null | ||
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
paymentDetails | object[] | ||
paymentDetails[].invoiceForSupplierPayment | string (uuid) | так | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
paymentDetails[].payed | number | так | Payment amount |
paymentDetails[].calculationRate | number | Cross Course |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | A unique uuid key for a supplier payment document |
number | string | The document’s number. Use this field if you need to specify a custom number |
currency | string (uuid) | null | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
comment | string | An optional text field for any additional notes or comments related to the document |
name | string | |
counterparty | string (uuid) | null | |
author | string (uuid) | null | |
organization | string (uuid) | null | |
status | string (uuid) | null | |
documentSum | number | Total amount of the document |
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
responsible | string (uuid) | null | |
commission | number | The amount of the commission |
sum | number | The amount of the document |
remainder | number | Aggregate Balance |
exchangeRateDifference | number | Amount of Foreign Exchange Difference |
paymentDetails | object[] | |
paymentDetails[].contract | string (uuid) | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
paymentDetails[].invoiceForSupplierPayment | string (uuid) | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
paymentDetails[].currency | string (uuid) | A unique uuid key for a currency |
paymentDetails[].calculationRate | number | Cross Course |
paymentDetails[].payed | number | Payment amount |
paymentDetails[].payedInContractCurrency | number | Settlement amount in contract currency |
paymentDetails[].debt | number | The current debt |
paymentDetails[].exchangeRateDifference | number | Amount of Foreign Exchange Difference |
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-update' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-cancel
POST /org2/paymentToSupplier/api-cancel
Cancel a supplier payment document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for the supplier payment document |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
success | boolean (true) |
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-cancel' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.